

<!DOCTYPE html>
<html class="writer-html4" lang="zh-CN" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>1 SDK简介 &mdash; PicoVR Unity SDK 0.1 文档</title>
  

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
        <script type="text/javascript" src="_static/translations.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    
    <link rel="index" title="索引" href="genindex.html" />
    <link rel="search" title="搜索" href="search.html" />
    <link rel="next" title="2 SDK配置说明" href="chapter_two.html" />
    <link rel="prev" title="PicoVR Unity SDK" href="index.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> PicoVR Unity SDK
          

          
          </a>

          
            
            
              <div class="version">
                v_2.8.10
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">1 SDK简介</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_two.html">2 SDK配置说明</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_three.html">3 开发注意事项</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_four.html">4 SDK接入快速入门</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_five.html">5 硬件产品开发指南</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_six.html">6       性能优化指南</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_seven.html">7  API接口函数一览</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_eight.html">8       进阶功能</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_nine.html">9       支付系统</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_ten.html">10      VR输入法</a></li>
<li class="toctree-l1"><a class="reference internal" href="chapter_eleven.html">11      常见问题解答</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PicoVR Unity SDK</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>1 SDK简介</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/chapter_one.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="sdk">
<span id="id1"></span><h1>1 SDK简介<a class="headerlink" href="#sdk" title="永久链接至标题">¶</a></h1>
<p>本文档介绍在Unity游戏开发引擎环境下，使用PicoVRAndroidSDK_Unity（以下简称SDK）制作运行在Pico一体机设备上的VR应用。SDK主要提供：传感器融合，双目立体渲染，光学畸变校正，异步时间扭曲，单缓冲渲染，3DoF/6DoF多交互支持，电源及散热管理，账号及支付管理等功能。
SDK的架构如下图所示：</p>
<img alt="_images/1.1.png" src="_images/1.1.png" />
<p>图1.1 SDK架构图</p>
<p>SDK通过UnityPackage包的格式提供，开发者导入后可看到如下目录：</p>
<img alt="_images/1.2.png" src="_images/1.2.png" />
<p>图1.2 SDK plugin目录结构</p>
<p>Assets&gt;PicoMobileSDK下的每个子目录都对应SDK中相应的功能，子目录下的Scenes目录中提供了供您参考的场景，在适配SDK时遇到问题可查看文档，也可参考场景中的方法。</p>
<p>Pvr_BoundarySDK里包含的是安全区的相关功能</p>
<p>Pvr_Controller里包含的是手柄的相关功能</p>
<p>Pvr_Payment里包含的是支付的相关功能</p>
<p>Pvr_ToBService里包含的是系统接口的相关功能</p>
<p>Pvr_UnitySDK里包含的是Sensor，渲染的相关功能</p>
<p>Pvr_VolumePowerBrightness里包含的是音量，亮度的相关功能</p>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="chapter_two.html" class="btn btn-neutral float-right" title="2 SDK配置说明" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="index.html" class="btn btn-neutral float-left" title="PicoVR Unity SDK" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; 版权所有 2015-2021 Pico Interactive, Inc. All Rights Reserved..

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>